Categories:
  - Internet
  - Security
  - System
License: GPL-3.0-only
AuthorEmail: android@etesync.com
WebSite: https://www.etesync.com
SourceCode: https://github.com/etesync/android
IssueTracker: https://github.com/etesync/android/issues
Changelog: https://github.com/etesync/android/blob/HEAD/ChangeLog.md

AutoName: EteSync

RepoType: git
Repo: https://github.com/etesync/android

Builds:
  - versionName: 0.8.0
    versionCode: 1
    commit: v0.8.0
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/android-reporting/d' -e '/classpath/d' -e '/dependencies/aclasspath
        "com.android.tools.build:gradle:2.2.0"' ../build.gradle

  - versionName: 0.8.1
    versionCode: 2
    commit: v0.8.1
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e '/android-reporting/d' -e '/classpath/d' -e '/dependencies/aclasspath
        "com.android.tools.build:gradle:2.2.0"' ../build.gradle

  - versionName: 0.9.1
    versionCode: 4
    commit: v0.9.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.9.2
    versionCode: 5
    commit: v0.9.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.10.0
    versionCode: 6
    commit: v0.10.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.0
    versionCode: 7
    commit: v0.11.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.11.1
    versionCode: 8
    commit: v0.11.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.12.0
    versionCode: 9
    commit: v0.12.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.13.0
    versionCode: 10
    commit: v0.13.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.14.0
    versionCode: 11
    commit: v0.14.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.15.0
    versionCode: 12
    commit: v0.15.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.16.0
    versionCode: 13
    commit: v0.16.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.0
    versionCode: 15
    commit: v0.18.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.1
    versionCode: 16
    commit: v0.18.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.18.2
    versionCode: 17
    commit: v0.18.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.1
    versionCode: 19
    commit: v0.19.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.2
    versionCode: 20
    commit: v0.19.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.3
    versionCode: 21
    commit: v0.19.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.4
    versionCode: 22
    commit: v0.19.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.5
    versionCode: 23
    commit: v0.19.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.19.6
    versionCode: 24
    commit: v0.19.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.1
    versionCode: 26
    commit: v0.20.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.2
    versionCode: 27
    commit: v0.20.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.3
    versionCode: 28
    commit: v0.20.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.20.4
    versionCode: 29
    commit: 0.20.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.0
    versionCode: 30
    commit: v0.21.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.1
    versionCode: 31
    commit: v0.21.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.2
    versionCode: 32
    commit: v0.21.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.4
    versionCode: 34
    commit: v0.21.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.5
    versionCode: 35
    commit: v0.21.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.21.6
    versionCode: 36
    commit: v0.21.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.0
    versionCode: 37
    commit: v0.22.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.1
    versionCode: 38
    commit: v0.22.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.2
    versionCode: 39
    commit: v0.22.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.3
    versionCode: 40
    commit: v0.22.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.4
    versionCode: 41
    commit: v0.22.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.5
    versionCode: 42
    commit: v0.22.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 0.22.6
    versionCode: 43
    commit: v0.22.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.0
    versionCode: 50
    commit: v1.0.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 51
    commit: v1.0.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.2
    versionCode: 52
    commit: v1.0.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.3
    versionCode: 53
    commit: v1.0.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.0.4
    versionCode: 54
    commit: v1.0.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 55
    commit: v1.1.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 56
    commit: v1.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 57
    commit: v1.2.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.2
    versionCode: 58
    commit: v1.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.3
    versionCode: 59
    commit: v1.2.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.5
    versionCode: 61
    commit: v1.2.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.6
    versionCode: 62
    commit: v1.2.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 63
    commit: v1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 65
    commit: v1.4.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 66
    commit: v1.4.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 68
    commit: v1.4.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.4
    versionCode: 69
    commit: v1.4.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.5
    versionCode: 70
    commit: v1.4.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.6
    versionCode: 71
    commit: v1.4.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.7
    versionCode: 72
    commit: v1.4.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.8
    versionCode: 73
    commit: v1.4.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.9
    versionCode: 74
    commit: v1.4.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.10
    versionCode: 75
    commit: v1.4.10
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.11
    versionCode: 76
    commit: v1.4.11
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.12
    versionCode: 77
    commit: v1.4.12
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.0
    versionCode: 78
    commit: v1.5.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 79
    commit: v1.5.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.0
    versionCode: 80
    commit: v1.6.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 81
    commit: v1.6.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.7.0
    versionCode: 82
    commit: v1.7.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.7.1
    versionCode: 83
    commit: v1.7.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.0
    versionCode: 84
    commit: v1.8.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.1
    versionCode: 85
    commit: v1.8.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.2
    versionCode: 86
    commit: v1.8.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.3
    versionCode: 87
    commit: v1.8.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.4
    versionCode: 88
    commit: v1.8.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.8.5
    versionCode: 89
    commit: v1.8.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.0
    versionCode: 90
    commit: v1.9.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.2
    versionCode: 92
    commit: v1.9.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.3
    versionCode: 93
    commit: v1.9.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.4
    versionCode: 94
    commit: v1.9.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.5
    versionCode: 95
    commit: v1.9.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.6
    versionCode: 96
    commit: v1.9.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.7
    versionCode: 97
    commit: v1.9.7
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.8
    versionCode: 98
    commit: v1.9.8
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.9.9
    versionCode: 99
    commit: v1.9.9
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.10.0
    versionCode: 100
    commit: v1.10.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.10.2
    versionCode: 102
    commit: v1.10.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.11.2
    versionCode: 105
    commit: v1.11.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.11.3
    versionCode: 106
    commit: v1.11.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.12.0
    versionCode: 107
    commit: v1.12.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.13.0
    versionCode: 108
    commit: v1.13.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.14.0
    versionCode: 109
    commit: v1.14.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.15.1
    versionCode: 111
    commit: v1.15.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.16.0
    versionCode: 112
    commit: v1.16.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.16.2
    versionCode: 114
    commit: v1.16.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.0.0
    versionCode: 20000
    commit: v2.0.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 20100
    commit: v2.1.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 20101
    commit: v2.1.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.2
    versionCode: 20102
    commit: v2.1.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.3
    versionCode: 20103
    commit: v2.1.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.4
    versionCode: 20104
    commit: v2.1.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.5
    versionCode: 20105
    commit: v2.1.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 20200
    commit: v2.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.1
    versionCode: 20201
    commit: v2.2.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.2
    versionCode: 20202
    commit: v2.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.3
    versionCode: 20203
    commit: v2.2.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.4
    versionCode: 20204
    commit: v2.2.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 2.3.0
    versionCode: 20300
    commit: c588c7775f854bb05f856af3ebcb01c6236047b9
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sed -i -e 's/maven()/maven/' ../build.gradle
    ndk: r21

  - versionName: 2.4.0
    versionCode: 20400
    commit: 88daffcbaf5ff89d5160bd4a08fc5578d337e5b7
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e 's/maven()/maven/' ../build.gradle
    ndk: r21

  - versionName: 2.4.1
    versionCode: 20401
    commit: b896c7f015fdf3e942264780740f6e7eec8cdb79
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e 's/maven()/maven/' ../build.gradle
    ndk: r21

  - versionName: 2.4.2
    versionCode: 20402
    commit: ddfdf3d71c194c12c6be3e9ac9285089c62b48b1
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sed -i -e 's/maven()/maven/' ../build.gradle
    ndk: r21

MaintainerNotes: |-
    Summary and Description are maintained by upstream using fastlane in
    the source repo:
    https://f-droid.org/docs/All_About_Descriptions_Graphics_and_Screenshots

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.4.2
CurrentVersionCode: 20402
